#!/bin/bash

# Note 1: Empty Folders will not be retained by readpst

if [ $# -ne 1 ]
then
echo ""
echo "usage: ./pst-to-tgz.sh tgz"
echo "example: ./pst-to-tgz.sh /path/to/export.pst"
echo ""
exit 1
fi

if ! command -v readpst &> /dev/null; then
   echo "Error: 'screen' command is not available."
   echo "run as root: apt-get install pst-utils"
   exit 1
fi

rm -Rf /tmp/pst-to-tgz
mkdir -p /tmp/pst-to-tgz/export

readpst -D -M -b -q -e -o /tmp/pst-to-tgz/export "$1" 
tar -pczf "$1.tgz" /tmp/pst-to-tgz/export
